@import '../../../../assets/styles/general';
@import '../../../../assets/styles/card';
@import '../../../../assets/styles/button';
@import '../../../../assets/styles/input';

:host {
  display: block;
  margin: 0 10px;
  width: calc(100vw - 20px);
  max-width: calc(100vw - 20px);
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  direction: rtl;
}

form > mat-form-field {
  margin-bottom: 25px;
}

form > div {
  display: flex;
  flex-direction: column;
  margin-bottom: 25px;
}

.eng-input {
  direction: ltr;
}

.eng-input /deep/ input {
  text-align: left;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  :host {
    margin: 0 25px;
    width: calc(100vw - 50px);
    max-width: calc(100vw - 50px);
  }

  form > div,
  form > mat-form-field {
    margin-bottom: 30px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  :host {
    margin: 0 35px;
    width: calc(100vw - 70px);
    max-width: calc(100vw - 70px);
  }

  form > div,
  form > mat-form-field {
    margin-bottom: 35px;
  }

  form {
    display: inline-block;
  }

  form > mat-form-field {
    width: 260px;
    padding: 0 20px;
  }

  form > div {
    padding: 0 20px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  :host {
    margin: 0 40px;
    width: calc(100vw - 80px);
    max-width: calc(100vw - 80px);
  }

  form > div,
  form > mat-form-field {
    margin-bottom: 40px;
  }

  form {
    display: inline-block;
  }

  form > mat-form-field {
    width: 300px;
    padding: 0 30px;
  }

  form > div {
    padding: 0 30px;
  }
}
@media screen and (min-width: 1200px) {
  :host {
    margin: 0 50px;
    width: calc(100vw - 100px);
    max-width: calc(100vw - 100px);
  }

  form > div,
  form > mat-form-field {
    margin-bottom: 50px;
  }

  form {
    display: inline-block;
  }

  form > mat-form-field {
    width: 350px;
    padding: 0 60px;
  }

  form > div {
    padding: 0 60px;
  }
}
